<div *ngIf="!formActive" class="board-name" fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">
    <span>{{offer.name ? offer.name: 'Nome da Oferta'}}</span>
    <button mat-icon-button (click)="openForm()">
        <mat-icon class="s-16">edit_mode</mat-icon>
    </button>
</div>


<form [formGroup]="form" (ngSubmit)="onFormSubmit()"
      class="board-name-form" fxLayout="row" fxFlex="1 0 auto" *ngIf="formActive">

    <input formControlName="name" #nameInput fxFlex="1 0 auto" placeholder="Nome da Oferta">

    <button mat-icon-button fxFlex="0 1 auto">
        <mat-icon>check</mat-icon>
    </button>
    <button mat-icon-button fxFlex="0 1 auto" (click)="closeForm()" type="button">
        <mat-icon>close</mat-icon>
    </button>
</form>
